is_inside_bitmap(3)

NAME
is_inside_bitmap - Tells if a point is inside a bitmap. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

int is_inside_bitmap(BITMAP *bmp, int x, int y, int clip);

DESCRIPTION
Returns non-zero if point (x, y) lies inside the bitmap. If `clip' is non-zero, the function compares the coordinates with the clipping rectangle, that is it returns non-zero if the point lies inside the clipping rectangle or if clipping is disabled for the bitmap. If `clip' is zero, the function compares the coordinates with the actual dimensions of the bitmap.

SEE ALSO
set_clip_rect(3), set_clip_state(3), getpixel(3)